SCSIProtocolController (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.SCSIProtocolController interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface SCSIProtocolController

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, ProtocolController, java.io.Serializable

    public interface SCSIProtocolController

extends ProtocolController

This represents a SCSI target initiator

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.LogicalDevice
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDeviceNumber()` SCSI target LUN
`FCPort[]` | `getFCPorts()` The Fibre Channel Ports used
`int` | `getTargetID()` SCSI target ID
`boolean` | `hasDeviceNumber()`
`boolean` | `hasFCPorts()`
`boolean` | `hasTargetID()`
`void` | `setDeviceNumber(java.lang.String num)`
`void` | `setFCPorts(FCPort[] ports)`
`void` | `setTargetID(int id)`

Methods inherited from interface com.collation.platform.model.topology.dev.ProtocolController
`getAccessedUnits, getName, getParent, hasAccessedUnits, hasName, hasParent, setAccessedUnits, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getFCPorts

    FCPort[] getFCPorts()
                        throws AttributeNotSetException

  The Fibre Channel Ports used

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setFCPorts

    void setFCPorts(FCPort[] ports)

### hasFCPorts

    boolean hasFCPorts()

### getTargetID

    int getTargetID()
                    throws AttributeNotSetException

  SCSI target ID

  Throws:
    `AttributeNotSetException`

### setTargetID

    void setTargetID(int id)

### hasTargetID

    boolean hasTargetID()

### getDeviceNumber

    java.lang.String getDeviceNumber()
                                     throws AttributeNotSetException

  SCSI target LUN

  Throws:
    `AttributeNotSetException`

### setDeviceNumber

    void setDeviceNumber(java.lang.String num)

### hasDeviceNumber

    boolean hasDeviceNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD